org.apache.hadoop.hdfs.server.namenode

## Interface FsImageProto.CacheManagerSectionOrBuilder

- All Superinterfaces:
    com.google.protobuf.MessageLiteOrBuilder, com.google.protobuf.MessageOrBuilder
  All Known Implementing Classes:
    FsImageProto.CacheManagerSection, FsImageProto.CacheManagerSection.Builder
  Enclosing class:
    FsImageProto

      public static interface FsImageProto.CacheManagerSectionOrBuilder
      extends com.google.protobuf.MessageOrBuilder

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getNextDirectiveId()` `required uint64 nextDirectiveId = 1;`
    `int` | `getNumDirectives()` `required uint32 numDirectives = 3;`
    `int` | `getNumPools()` `required uint32 numPools = 2;`
    `boolean` | `hasNextDirectiveId()` `required uint64 nextDirectiveId = 1;`
    `boolean` | `hasNumDirectives()` `required uint32 numDirectives = 3;`
    `boolean` | `hasNumPools()` `required uint32 numPools = 2;`

    - ### Methods inherited from interface com.google.protobuf.MessageOrBuilder

      `findInitializationErrors, getAllFields, getDefaultInstanceForType, getDescriptorForType, getField, getInitializationErrorString, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField`

    - ### Methods inherited from interface com.google.protobuf.MessageLiteOrBuilder

      `isInitialized`

- - ### Method Detail

    - #### hasNextDirectiveId

          boolean hasNextDirectiveId()

      `required uint64 nextDirectiveId = 1;`

    - #### getNextDirectiveId

          long getNextDirectiveId()

      `required uint64 nextDirectiveId = 1;`

    - #### hasNumPools

          boolean hasNumPools()

      `required uint32 numPools = 2;`

    - #### getNumPools

          int getNumPools()

      `required uint32 numPools = 2;`

    - #### hasNumDirectives

          boolean hasNumDirectives()

      `required uint32 numDirectives = 3;`

           repeated CachePoolInfoProto pools
           repeated CacheDirectiveInfoProto directives

    - #### getNumDirectives

          int getNumDirectives()

      `required uint32 numDirectives = 3;`

           repeated CachePoolInfoProto pools
           repeated CacheDirectiveInfoProto directives

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.